earnings
curl --request GET \
--url https://api.jup.ag/lend/v1/earn/earnings \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jup.ag/lend/v1/earn/earnings"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jup.ag/lend/v1/earn/earnings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"address": "So11111111111111111111111111111111111111112",
"ownerAddress": "BQ72nSv9f3PRyRKCBnHLVrerrv37CYTHm5h3s9VSGQDV",
"earnings": 34483000,
"slot": 345678901
}
]Earn
Earnings
Request for the earnings of one or multiple positions of a user
GET
/
earn
/
earnings
earnings
Authorizations
Get API key via https://developers.jup.ag/portal
Query Parameters
User wallet address
User token positions (comma-separated)
Was this page helpful?
⌘I
